<?php

require_once AF2_INTEGRATION_HANDLER_CLASS;
class Zapier_Integration extends Af2Integration {

    public function get_credential_fields() {
        update_option('af2_zapier_url', home_url( '/wp-json/af2/v1', 'https' ));
        return array( 
            array( 'key' => 'zapier_url', 'option_value' => 'af2_zapier_url', 'icon' => 'fas fa-link', 'label' => 'API URL:', 'type' => 'text', 'disabled' => true ),
            array( 'key' => 'zapier_pw', 'option_value' => 'af2_zapier_pw', 'icon' => 'fas fa-key', 'label' => 'API Password:', 'type' => 'password' ),
        );
    }
}
